import { render, waitFor } from '@testing-library/react'
import React from 'react'
import ExportData from './ExportData'

jest.mock('services/consumption.service', () => {
  return jest.fn(() => ({
    fetchAllFirstDateData: jest.fn(() => [null, null, null]),
    getFluidsWithData: jest.fn(() => []),
  }))
})

describe('exportOptions component', () => {
  it('should be rendered correctly', async () => {
    const { container } = render(<ExportData />)
    await waitFor(() => null, { container })
    expect(container).toMatchSnapshot()
  })
})
