import { ChallengeEntity } from 'models'

export const challengeEntityData: ChallengeEntity = {
  id: 'CHALLENGE0001',
  title: 'Challenge 1',
  description: 'Description challenge 1',
  target: 15,
  relationships: {
    quiz: {
      data: { _id: 'QUIZ001', _type: 'com.grandlyon.ecolyo.quiz' },
    },
    duel: {
      data: { _id: 'DUEL001', _type: 'com.grandlyon.ecolyo.duel' },
    },
    exploration: {
      data: [
        {
          _id: 'EXPLORATION001',
          _type: 'com.grandlyon.ecolyo.exploration',
        },
      ],
    },
  },
}

export const allChallengeEntityData: ChallengeEntity[] = [
  {
    id: 'CHALLENGE0001',
    title: 'Challenge 1',
    description: 'Description challenge 1',
    target: 15,
    relationships: {
      quiz: {
        data: { _id: 'QUIZ001', _type: 'com.grandlyon.ecolyo.quiz' },
      },
      duel: {
        data: { _id: 'DUEL001', _type: 'com.grandlyon.ecolyo.duel' },
      },
      exploration: {
        data: [
          {
            _id: 'EXPLORATION001',
            _type: 'com.grandlyon.ecolyo.exploration',
          },
        ],
      },
    },
  },
  {
    id: 'CHALLENGE0002',
    title: 'Challenge 2',
    description: 'Description challenge 2',
    target: 15,
    relationships: {
      quiz: {
        data: { _id: 'QUIZ002', _type: 'com.grandlyon.ecolyo.quiz' },
      },
      duel: {
        data: { _id: 'DUEL002', _type: 'com.grandlyon.ecolyo.duel' },
      },
      exploration: {
        data: [
          {
            _id: 'EXPLORATION002',
            _type: 'com.grandlyon.ecolyo.exploration',
          },
        ],
      },
    },
  },
  {
    id: 'CHALLENGE0003',
    title: 'Challenge 3',
    description: 'Description challenge 3',
    target: 15,
    relationships: {
      quiz: {
        data: { _id: 'QUIZ003', _type: 'com.grandlyon.ecolyo.quiz' },
      },
      duel: {
        data: { _id: 'DUEL003', _type: 'com.grandlyon.ecolyo.duel' },
      },
      exploration: {
        data: [
          {
            _id: 'EXPLORATION003',
            _type: 'com.grandlyon.ecolyo.exploration',
          },
        ],
      },
    },
  },
  {
    id: 'CHALLENGE0004',
    title: 'Challenge 4',
    description: 'Description challenge 4',
    target: 15,
    relationships: {
      quiz: {
        data: { _id: 'QUIZ004', _type: 'com.grandlyon.ecolyo.quiz' },
      },
      duel: {
        data: { _id: 'DUEL004', _type: 'com.grandlyon.ecolyo.duel' },
      },
      exploration: {
        data: [
          {
            _id: 'EXPLORATION004',
            _type: 'com.grandlyon.ecolyo.exploration',
          },
          {
            _id: 'EXPLORATION004_0',
            _type: 'com.grandlyon.ecolyo.exploration',
          },
        ],
      },
    },
  },
  {
    id: 'CHALLENGE0005',
    title: 'Challenge 5',
    description: 'Description challenge 5',
    target: 15,
    relationships: {
      quiz: {
        data: { _id: 'QUIZ005', _type: 'com.grandlyon.ecolyo.quiz' },
      },
      duel: {
        data: { _id: 'DUEL005', _type: 'com.grandlyon.ecolyo.duel' },
      },
      exploration: {
        data: [
          {
            _id: 'EXPLORATION005',
            _type: 'com.grandlyon.ecolyo.exploration',
          },
        ],
      },
    },
  },
  {
    id: 'CHALLENGE0006',
    title: 'Challenge 6',
    description: 'Description challenge 6',
    target: 15,
    relationships: {
      quiz: {
        data: { _id: 'QUIZ006', _type: 'com.grandlyon.ecolyo.quiz' },
      },
      duel: {
        data: { _id: 'DUEL006', _type: 'com.grandlyon.ecolyo.duel' },
      },
      exploration: {
        data: [
          {
            _id: 'EXPLORATION006',
            _type: 'com.grandlyon.ecolyo.exploration',
          },
        ],
      },
    },
  },
]
